osgDB::Field Class Reference

`#include <Input>`

## Public Types

enum | { MIN_CACHE_SIZE = 256 }
enum | FieldType { OPEN_BRACKET , CLOSE_BRACKET , STRING , WORD , REAL , INTEGER , BLANK , UNINITIALISED }

## Public Member Functions

| Field ()
| Field (const Field &field)
virtual | ~Field ()
virtual Field & | operator= (const Field &ic)
void | reset ()
void | addChar (char c)
int | getNoCharacters () const
void | setWithinQuotes (bool withinQuotes=true)
bool | getWithinQuotes ()
void | setNoNestedBrackets (int no)
int | getNoNestedBrackets ()
FieldType | getFieldType () const
bool | isValid () const
bool | isOpenBracket () const
bool | isCloseBracket () const
bool | isWord () const
bool | matchWord (const char *str) const
bool | matchWord (const char *str, int noCharacters) const
bool | isString () const
bool | matchString (const char *str) const
bool | matchString (const char *str, int noCharacters) const
bool | isQuotedString () const
const char * | getStr () const
char * | takeStr ()
bool | isInt () const
bool | matchInt (int i) const
bool | getInt (int &i) const
bool | isUInt () const
bool | matchUInt (unsigned int i) const
bool | getUInt (unsigned int &i) const
bool | isFloat () const
bool | matchFloat (float f) const
bool | getFloat (float &f) const
bool | getFloat (double &f) const

## Static Public Member Functions

static FieldType | calculateFieldType (const char *str, bool withinQuotes=false)

## Protected Member Functions

void | _init ()
void | _free ()
void | _copy (const Field &ic)

## Protected Attributes

int | _fieldCacheCapacity
int | _fieldCacheSize
char * | _fieldCache
FieldType | _fieldType
bool | _withinQuotes
int | _noNestedBrackets

## Detailed Description

deprecated.

## Member Enumeration Documentation

## anonymous enum

anonymous enum

Enumerator
MIN_CACHE_SIZE |

## FieldType

enum osgDB::Field::FieldType

Enumerator
OPEN_BRACKET |
CLOSE_BRACKET |
STRING |
WORD |
REAL |
INTEGER |
BLANK |
UNINITIALISED |

## Constructor & Destructor Documentation

## Field() [1/2]

osgDB::Field::Field | ( |  | ) |

Referenced by _copy(), Field(), and operator=().

## Field() [2/2]

osgDB::Field::Field | ( | const Field & | field | ) |

References Field().

## ~Field()

virtual osgDB::Field::~Field | ( |  | ) |

virtual

## Member Function Documentation

## _copy()

void osgDB::Field::_copy | ( | const Field & | ic | ) |

protected

References Field().

## _free()

void osgDB::Field::_free | ( |  | ) |

protected

## _init()

void osgDB::Field::_init | ( |  | ) |

protected

## addChar()

void osgDB::Field::addChar | ( | char | c | ) |

## calculateFieldType()

FieldType osgDB::Field::calculateFieldType | ( | const char * | str,
|  | bool | withinQuotes = false )

static

## getFieldType()

FieldType osgDB::Field::getFieldType | ( |  | ) | const

## getFloat() [1/2]

bool osgDB::Field::getFloat | ( | double & | f | ) | const

## getFloat() [2/2]

bool osgDB::Field::getFloat | ( | float & | f | ) | const

## getInt()

bool osgDB::Field::getInt | ( | int & | i | ) | const

## getNoCharacters()

int osgDB::Field::getNoCharacters | ( |  | ) | const

inline

References _fieldCacheSize.

## getNoNestedBrackets()

int osgDB::Field::getNoNestedBrackets | ( |  | ) |

## getStr()

const char * osgDB::Field::getStr | ( |  | ) | const

## getUInt()

bool osgDB::Field::getUInt | ( | unsigned int & | i | ) | const

## getWithinQuotes()

bool osgDB::Field::getWithinQuotes | ( |  | ) |

## isCloseBracket()

bool osgDB::Field::isCloseBracket | ( |  | ) | const

## isFloat()

bool osgDB::Field::isFloat | ( |  | ) | const

## isInt()

bool osgDB::Field::isInt | ( |  | ) | const

## isOpenBracket()

bool osgDB::Field::isOpenBracket | ( |  | ) | const

## isQuotedString()

bool osgDB::Field::isQuotedString | ( |  | ) | const

## isString()

bool osgDB::Field::isString | ( |  | ) | const

## isUInt()

bool osgDB::Field::isUInt | ( |  | ) | const

## isValid()

bool osgDB::Field::isValid | ( |  | ) | const

## isWord()

bool osgDB::Field::isWord | ( |  | ) | const

## matchFloat()

bool osgDB::Field::matchFloat | ( | float | f | ) | const

## matchInt()

bool osgDB::Field::matchInt | ( | int | i | ) | const

## matchString() [1/2]

bool osgDB::Field::matchString | ( | const char * | str | ) | const

## matchString() [2/2]

bool osgDB::Field::matchString | ( | const char * | str,
|  | int | noCharacters ) const

## matchUInt()

bool osgDB::Field::matchUInt | ( | unsigned int | i | ) | const

## matchWord() [1/2]

bool osgDB::Field::matchWord | ( | const char * | str | ) | const

## matchWord() [2/2]

bool osgDB::Field::matchWord | ( | const char * | str,
|  | int | noCharacters ) const

## operator=()

virtual Field & osgDB::Field::operator= | ( | const Field & | ic | ) |

virtual

References Field().

## reset()

void osgDB::Field::reset | ( |  | ) |

## setNoNestedBrackets()

void osgDB::Field::setNoNestedBrackets | ( | int | no | ) |

## setWithinQuotes()

void osgDB::Field::setWithinQuotes | ( | bool | withinQuotes = true | ) |

## takeStr()

char * osgDB::Field::takeStr | ( |  | ) |

## Member Data Documentation

## _fieldCache

char* osgDB::Field::_fieldCache

protected

## _fieldCacheCapacity

int osgDB::Field::_fieldCacheCapacity

protected

## _fieldCacheSize

int osgDB::Field::_fieldCacheSize

protected

Referenced by getNoCharacters().

## _fieldType

FieldType osgDB::Field::_fieldType

mutable protected

## _noNestedBrackets

int osgDB::Field::_noNestedBrackets

protected

## _withinQuotes

bool osgDB::Field::_withinQuotes

protected

The documentation for this class was generated from the following file:

- osgDB/Input